<?php

namespace Ardent\Game;

include '../vendor/autoload.php';
include "Renderer.php";
include "MapGenerator.php";

$renderer = new Renderer();
$map = new MapGenerator($renderer, $_GET['seed'], (int)$_GET['width'], (int)$_GET['height']);

$start = microtime(true);
echo $renderer->render('map.html.twig', [
    'map' => $map,
]);
echo 'time: ' . microtime(true) - $start;
